Bug 27552 - passwd: Authentication token manipulation error
passwd: Authentication token manipulation error
Status: CLOSED DUPLICATE of bug 18055
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-14 03:44 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-14 03:44:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-14 03:44:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.73 (Macintosh; I; PPC)


passwd fails to update passwd file and fails with following error:
passwd: Authentication token manipulation error
this doesn't occur on root passwd
only on "normal" users 
using RH7.0
Pam module as shipped with distribution  Server package from RH.
Using shadow passwords not yp.






Reproducible: Always
Steps to Reproduce:
1.su root
2.passwd username
3.enter new passwd
4.wait for bad result
	

Actual Results:  [root@gabriel /root]# passwd cisanctuary 
Changing password for user cisanctuary
New UNIX password: 
Retype new UNIX password: 
passwd: Authentication token manipulation error

Expected Results:  [root@gabriel /root]# passwd
New UNIX password: 
BAD PASSWORD: it is based on a dictionary word
Retype new UNIX password: 
passwd: all authentication tokens updated successfully

Because I can't change a users passwd I have to use the same passwd for 
several users...this is a big security problem.

also crypt is missing from the distribution ( i bought the Server Software 
from Redhat Packaged) I can't use that to change the passwd either.
Comment 1 Nalin Dahyabhai 2001-02-14 23:01:01 EST
Please apply the errata from
http://www.redhat.com/support/errata/RHSA-2000-120.html, which should fix this
problem.

*** This bug has been marked as a duplicate of 18055 ***
Comment 2 Need Real Name 2001-03-09 09:36:14 EST
I have exactly the same problem with my box. I've applied pam-0.72-37.i386.rpm,
which hasn't fixed this.

Note You need to log in before you can comment on or make changes to this bug.